Exports a PKCS#12 Compatible Certificate Store File to variable

- « openssl_pbkdf2

- openssl_pkcs12_export_to_file »

- PHP Manual
- OpenSSL Functions
- Exports a PKCS#12 Compatible Certificate Store File to variable

# openssl_pkcs12_export

(PHP 5 >= 5.2.2, PHP 7, PHP 8)

openssl_pkcs12_export — Exports a PKCS#12 Compatible Certificate Store File to variable

### Description

openssl_pkcs12_export(
OpenSSLCertificate|string `$certificate`,
string `&$output`,
#[\SensitiveParameter] OpenSSLAsymmetricKey|OpenSSLCertificate|array|string `$private_key`,
#[\SensitiveParameter] string `$passphrase`,
array `$options` = []
): bool

openssl_pkcs12_export() stores `certificate` into a string named by `output` in a PKCS#12 file format.

### Parameters

`x509`

  See Key/Certificate parameters for a list of valid values.

`output`

  On success, this will hold the PKCS#12.

`private_key`

  Private key component of PKCS#12 file. See Public/Private Key parameters for a list of valid values.

`passphrase`

  Encryption password for unlocking the PKCS#12 file.

`options`

  Optional array, other keys will be ignored.

  Key | Description
  --- | ---
  `"extracerts"` | array of extra certificates or a single certificate to be included in the PKCS#12 file.
  `"friendly_name"` | string to be used for the supplied certificate and key

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `certificate` accepts an OpenSSLCertificate instance now; previously, a resource of type `OpenSSL X.509 CSR` was accepted.
8.0.0 | `private_key` accepts an OpenSSLAsymmetricKey or OpenSSLCertificate instance now; previously, a resource of type `OpenSSL key` or `OpenSSL X.509` was accepted.